* {box-sizing: border-box}

html, body {
  margin: 0;
  padding: 0;
  min-height: 100vh;
  box-sizing: border-box;
  font-family: "Roboto";
  font-size: 18px;
}

body {
  display: flex;
  flex-direction: column;
  overflow: hidden;
}

header {
  top: 0;
  height: 10vh;
  background-color: #fff2cd;
  position: sticky;
  display: flex;
  align-items: center;
}

img, div, nav {
  display: inline-block;
}

.logo {
  width: 150px;
  margin-left: 20px;
}

.menu {
  flex: 1 1 auto;
  text-align: right;
  padding: 20px;
}

li.menu-item {
  display: inline-block;
  list-style: none;
  margin: 10px;
}

li.menu-item a {
  vertical-align: middle;
  text-decoration: none;
  font-weight: 450;
  color: black;
}

div.container {
  flex: 1;
  display: flex;
  flex-direction: column;
  max-height: 90vh;
  overflow-y: scroll;
}

main {
  flex: 1;
  padding: 1vw;
  display: flex;
  background-color: #fafafa;
  justify-content: center;
}

footer {
  height: 5vh;
  display: flex;
  background-color: #fff2cc;
  justify-content: center;
}

span.footer {
  margin-top: 5px;
  font-size: 14px;
}

section.prato-do-dia {
  display: flex;
  justify-content: center;
  flex-direction: row;
  margin-top: 10vh;
  max-height: 350px;
}

section.prato-do-dia img {
  flex: 1 1 350px;
  max-height: 350px;
}

.home-prato-conteudo {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  margin-left: 30px;
  width: 450px;
}

.home-prato-secao{
  color: #f7941e;
  box-sizing: content-box;
  display: inline-block;
  font-size: 25px;
  font-weight: bold;
}

.home-prato-nome{
  font-weight: bold;
  font-size: 2em;
  margin-top: 0px;
}

.home-prato-preco{
  font-size: 1.5em;
  color: #eb0c0c;
}

.home-prato-descricao{
  font-size: 1.5em;
  max-width: 500px;
}

.home-prato-titulo-ingredientes {
  margin-top: 20px;
}

div.home-prato-conteudo input#btnAdicionar {
  width: 200px;
}

div.home-prato-conteudo > input#btnAdicionar,
body > div > main > section > div > div > button {
  background: none;
	color: inherit;
	border: none;
	font: inherit;
	cursor: pointer;
	outline: inherit;
  border-radius: 0;
  background-color: #f7941e;
  color: white;
}

div.home-prato-conteudo > input#btnAdicionar:hover,
body > div > main > section > div > div > button:hover {
  background-color: #f5ee30;
  color: black;
}

section.cardapio{
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}

section.cardapio > div > div > button {
  margin-top: 5px;
}

div.card-prato {
  margin: 10px;
  max-width: 300px;
  max-height: 500px;
  background: #fff;
  color: rgba(0,0,0,.87);
  box-shadow: 0px 0px 10px 0px rgb(0 0 0 / 5%);
  border-radius: 4px;
  display: flex;
  flex-direction: column;
}

span.card-titulo {
  font-size: 16px;
  font-weight: 500;
  padding: 15px;
}

div.card-conteudo {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 15px;
  height: 100%;
}

span.card-texto {
  font-size: 14px;
  display: block;
}

span.card-preco {
  font-size: 16px;
  font-weight: bold;
  display: block;
  color: #cf0707;
}

table.carrinho, 
table.produtos,
table.clientes,
table.pedidos,
table.categorias,
table.status {
  width: 100%;
  font-size: 12px;
  /* box-shadow: 0px 1px 2px 1px rgba(0,0,0,0.10); */
  padding: 5px;
}

tr, td {
  height: 30px;
  border-top: 1px solid #eee; */
}

table.pedidoItens {
  width: 100%;
  border-spacing: 0;
  background-color: #eee;
  margin-bottom: 10px;
  margin-top: 5px;
}

table.pedidoItens > thead > th,
table.pedidoItens > tbody > tr > td {
  height: 30px;
  border-bottom: 2px solid white;
}

th {
  text-align: left;
}

div.sobre {
  margin-top: 30px;
  padding:30px;
}

div.sobre img {
  width: 150px;
}


input, textarea, select {
  box-sizing: border-box;
}
   
form {
  margin: auto;
  font-family: "Roboto";
}

form div {
  display: block;
  width: auto;
}

#produtos > div.formularios,
#clientes > div.formularios,
#pedidos > div.formularios,
#categorias > div.formularios,
#status > div.formularios,
#lojas > div.formularios,
#pratoDoDia > div.formularios,
#logado > div.formularios
 {
  width: 100%;
}


button, input, select, textarea {
  font-family: inherit;
  font-size: 100%;
  padding: 5px;
}

label {
  display: block;
}

#naoEhVegetariano {
  margin-left: 20px;
}

input[type="checkbox"]+label {
  display: inline;
}

fieldset {
  border-width: 0;
  padding: 0;
}

input[type="text"], 
input[type="email"], 
input[type="tel"] {
  margin: .2em auto .8em auto;
  width: 100%;
}

input[type="number"],
input[type="file"] {
  margin: .2em auto .8em auto;
  width: 30%;
}

#cep {
  width: auto;
}

#frmProdutos > div > fieldset > label {
  display: inline-block;
}

#btnConfimar {
  background: red;
  color: white;
  border: 3px solid red;
}

#imgFoto,
#frmProdutos > div > img {
  background-color: #eeeeee;
  display: block;
  width: 30%;
}

select, fieldset, legend {
  margin: .2em auto .8em auto;
}

legend {
  margin-left: -.1em;
}

/* Style the tab */
.tab {
  float: left;
  /* border: 1px solid #ddd; */
  background-color: #fff2cd;
  width: 15%;
  height: auto;
}

/* Style the buttons that are used to open the tab content */
.tab button {
  display: block;
  background-color: inherit;
  color: black;
  padding: 22px 16px;
  width: 100%;
  border: none;
  outline: none;
  text-align: left;
  cursor: pointer;
  transition: 0.3s;
}

/* Change background color of buttons on hover */
.tab button:hover {
  color: white;
  background-color: #f7941e;
}

/* Create an active/current "tab button" class */
.tab button.active {
  background-color:  #ffeb3b;
}

/* Style the tab content */
.tabcontent {
  float: left;
  padding: 0px 20px 20px 20px;
  border: 1px solid #fff2cd;
  width: 100%;
  border-left: none;
  height: auto;
}

#itensPedido {
  background-color: #f7f7f7;
  float: left;
  padding: 20px 20px 10px 20px;;
  border: 1px solid rgba(118, 118, 118, 0.3);
  width: 100%;
  margin-bottom: 20px;
  height: auto;
}

.alerta {
  color: red;
}

.titulosListas {
  display: flex;
  align-items: center;
}

.titulosListas > a {
  margin-left: 50px;
}


body > div > main > section > div > h2 {
  margin: 0px;
}

body > div > main > section > div > p {
  margin-top: 5px;
  margin-top: 10px;
}

body > div > main > section > div > h3{
  margin-bottom: 0px;
}


form#frmLogadoCarrinho {
  width: 80%;
}

form#frmLogadoCarrinho > div > table#itensCarrinho {
  width: 100%;
}

.alinhaAEsquerda{
  text-align: left;
}

.alinhaADireita{
  text-align: right;
  padding-right: 10px;
}

.alinhaNoCentro{
  text-align: center;
}


#itensPedido > tbody > tr > td > input,
#itensCarrinho > tbody > tr > td.alinhaNoCentro > input[type=text] {
  text-align: center;
  width: 50px;
  height: 25px;
  margin: 0;
}

table#itensCarrinho > tbody > td > div.divVazio {
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #f1e5c5;
  width: 100%;
  height: 100px;
  margin-top: 10px;
  margin-bottom: 10px;
}

table#itensCarrinho > tbody > td > div.divVazio > span {
  color: white;
  font-size: 32px;
  font-weight: bold;
  margin-right: 10px;
}

table#itensCarrinho > tbody > td > div.divVazio > img {
  width: 70px;
}

body > div > main > div.pedido_concluido {
  display: flex;
  align-items: center;
  justify-content: center;
  /* background-color: #f1e5c5; */
  width: 100%;
  height: 100px;
  margin-top: 100px;
  margin-bottom: 10px;
}

body > div > main > div.pedido_concluido > span {
  color: #fa8b00;
  font-size: 32px;
  font-weight: bold;
  margin-right: 10px;
}

body > div > main > div.pedido_concluido > img {
  width: 50px;
}

#itensPedido > tbody > tr > td.seletores.alinhaNoCentro,
#itensCarrinho > tbody > tr > td.seletores.alinhaNoCentro {
  display: flex;
  align-items: center;
  justify-content: center;
  vertical-align: middle;
}

#itensPedido > tbody > tr > td.seletores.alinhaNoCentro > img,
#itensCarrinho > tbody > tr > td.seletores.alinhaNoCentro > img {
  width: 30px;
  cursor: pointer;
}

#frmLogado > div > fieldset,
#frmPratoDoDia > div > fieldset {
  margin-top: 20px;s
}

#frmLogado > div > fieldset > legend,
#frmPratoDoDia > div > fieldset > legend {
  margin-bottom: 5px;
}

